<?php

if (DATABASE_TYPE == 'pdo_mysql' or DATABASE_TYPE == 'mysql') {
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'classes(
			id       INT UNSIGNED NOT NULL AUTO_INCREMENT,
			code     VARCHAR(80)  NOT NULL UNIQUE,
			created  DATETIME     NOT NULL,
			modified DATETIME     NOT NULL,
			sort     INT UNSIGNED NOT NULL,
			name     VARCHAR(255) NOT NULL,
			memo     TEXT,
			image1   VARCHAR(80),
			image2   VARCHAR(80),
			PRIMARY KEY(id)
		);
	');
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'members(
			id        INT UNSIGNED NOT NULL AUTO_INCREMENT,
			class_id  INT UNSIGNED NOT NULL,
			created   DATETIME     NOT NULL,
			modified  DATETIME     NOT NULL,
			name      VARCHAR(255) NOT NULL,
			name_kana VARCHAR(255) NOT NULL,
			grade     INT UNSIGNED NOT NULL,
			birthday  DATE,
			email     VARCHAR(255),
			memo      TEXT,
			PRIMARY KEY(id)
		);
	');
} elseif (DATABASE_TYPE == 'pdo_pgsql' or DATABASE_TYPE == 'pgsql') {
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'classes(
			id       SERIAL       NOT NULL,
			code     VARCHAR(80)  NOT NULL UNIQUE,
			created  TIMESTAMP    NOT NULL,
			modified TIMESTAMP    NOT NULL,
			sort     INTEGER      NOT NULL,
			name     VARCHAR(255) NOT NULL,
			memo     TEXT,
			image1   VARCHAR(80),
			image2   VARCHAR(80),
			PRIMARY KEY(id)
		);
	');
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'members(
			id        SERIAL       NOT NULL,
			class_id  INTEGER      NOT NULL,
			created   TIMESTAMP    NOT NULL,
			modified  TIMESTAMP    NOT NULL,
			name      VARCHAR(255) NOT NULL,
			name_kana VARCHAR(255) NOT NULL,
			grade     INTEGER      NOT NULL,
			birthday  DATE,
			email     VARCHAR(255),
			memo      TEXT,
			PRIMARY KEY(id)
		);
	');
} else {
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'classes(
			id       INTEGER,
			code     VARCHAR          NOT NULL UNIQUE,
			created  DATETIME         NOT NULL,
			modified DATETIME         NOT NULL,
			sort     INTEGER UNSIGNED NOT NULL,
			name     VARCHAR          NOT NULL,
			memo     TEXT,
			image1   VARCHAR,
			image2   VARCHAR,
			PRIMARY KEY(id)
		);
	');
	db_query('
		CREATE TABLE ' . DATABASE_PREFIX . 'members(
			id        INTEGER,
			class_id  VARCHAR          NOT NULL,
			created   DATETIME         NOT NULL,
			modified  DATETIME         NOT NULL,
			name      VARCHAR          NOT NULL,
			name_kana VARCHAR          NOT NULL,
			grade     INTEGER UNSIGNED NOT NULL,
			birthday  DATE,
			email     VARCHAR,
			memo      TEXT,
			PRIMARY KEY(id)
		);
	');
}

exit('OK');

?>
